%define name		village
%define version		1.5.3
%define release		2jpp
%define section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	JDBC-based relational database API
License:	Apache Software License
Url:		http://share.whichever.com/
Group:		Development/Libraries/Java
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	http://share.whichever.com/village/village-1.5.3.tar.gz
BuildRequires:	ant
BuildRequires:	jpackage-utils >= 0:1.5
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Village is a 100% Pure Java API that sits on top of the JDBC API. The
purpose of this API is to make it easier to interact with a JDBC
compliant relational database. By using Village, it is possible to
execute and manage select/insert/update/delete SQL statements without
having to actually write a single line of SQL. Village can use any valid
JDBC Connection object, so it is possible to use Village with a JDBC
Connection pool.
This software is being freely released under an Apache 1.1 Style
license. Please see docs/LICENSE.txt in the distribution for more
information.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%build
ant jar
ant javadocs

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 bin/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc docs/*.txt
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%changelog
* Tue May 06 2003 David Walluck <david@anti-microsoft.org> 0:1.5.3-2jpp
- update for JPackage 1.5

* Wed May 08 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.5.3-1jpp 
- 1.5.3
- vendor, distribution, group tags

* Mon Mar 18 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.5.2-9jpp 
- fixed missing symlink

* Mon Feb 04 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.5.2-8jpp
- rebuild

* Mon Jan 21 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.5.2-7jpp 
- versioned dir for javadoc
- section macro
- no dependencies for javadoc package

* Wed Dec 5 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.5.2-6jpp
- javadoc into javadoc package

* Wed Nov 21 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 1.5.2-5jpp
- removed packager tag
- new jpp extension

* Wed Oct 17 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.5.2-4jpp
- updated URL

* Tue Oct 16 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.5.2-3jpp
- used original archive

* Sat Oct 13 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.5.2-2jpp
- first unified release
- s/jPackage/JPackage

* Tue Sep 05 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.5.2-1mdk
- first Mandrake release
